Displaying 5 results from an estimated 5 matches for "71bac55".
2019 Jan 23
0
[PATCH nbdkit] tests: Add generic ‘requires’ function to testing test prerequisites.
...le /dev/urandom"
- exit 77
-fi
-
-# Test that qemu-img is available and working.
-if ! qemu-img --help >/dev/null; then
- echo "$0: missing or broken qemu-img"
- exit 77
-fi
-
test ()
{
label=$1
diff --git a/tests/test-partition2.sh b/tests/test-partition2.sh
index 71bac55..1cb6900 100755
--- a/tests/test-partition2.sh
+++ b/tests/test-partition2.sh
@@ -35,11 +35,7 @@ source ./functions.sh
set -e
set -x
-# Test that qemu-img is available and working.
-if ! qemu-img --help >/dev/null; then
- echo "$0: missing or broken qemu-img"
- exit 77
-fi
+r...
2019 Jan 23
2
[PATCH nbdkit] tests: Add generic requires function.
I only did a handful of the tests to demonstrate the point. If the
patch approach is accepted then I'll do the remainder of the tests in v2.
Rich.
2019 Jan 22
7
[PATCH nbdkit v3 0/5] partition filter: Support MBR logical partitions.
I think this addresses everything in Eric's v2 review.
Note that the first patch is best viewed using ‘-w’ to ignore
whitespaces changes.
Rich.
2019 Jan 23
0
[PATCH v2 nbdkit] tests: Add generic ‘requires’ function for test prerequisites.
...le /dev/urandom"
- exit 77
-fi
-
-# Test that qemu-img is available and working.
-if ! qemu-img --help >/dev/null; then
- echo "$0: missing or broken qemu-img"
- exit 77
-fi
-
test ()
{
label=$1
diff --git a/tests/test-partition2.sh b/tests/test-partition2.sh
index 71bac55..4678a5c 100755
--- a/tests/test-partition2.sh
+++ b/tests/test-partition2.sh
@@ -35,11 +35,7 @@ source ./functions.sh
set -e
set -x
-# Test that qemu-img is available and working.
-if ! qemu-img --help >/dev/null; then
- echo "$0: missing or broken qemu-img"
- exit 77
-fi
+r...
2019 Jan 23
2
[PATCH v2 nbdkit] tests: Add generic requires.
v1 was here:
https://www.redhat.com/archives/libguestfs/2019-January/thread.html#00198
For v2 I changed most existing prerequisite tests to use the new
mechanism.
I only changed simple tests. There are a few more complex tests that
don't fit the “requires model” and those are not changed.
I normalized qemu-io/qemu-img testing to always use the --version
flag, where previously we used a mix